<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
GetSerialNumberNames Method (IEdmSerNoGen7)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmSerNoGen7 Interface : GetSerialNumberNames Method (IEdmSerNoGen7)

Visual Basic
C#
C++/CLI

ppoRetNames
  Array of serial number generator names

Gets the names of all of the serial number generators installed in the vault.

# Syntax

Visual Basic |
--- | ---

    Sub GetSerialNumberNames( _
       ByRef ppoRetNames() As System.String _
    )

C# |
--- | ---

    void GetSerialNumberNames(
       out System.string[] ppoRetNames
    )

C++/CLI |
--- | ---

    void GetSerialNumberNames(
    &   [Out] System.array<String^>^ ppoRetNames
    )

#### Parameters

ppoRetNames
  Array of serial number generator names

# Example

Set Part Number Using Default Serial Numbers (C#)
Set Part Number Using Default Serial Numbers (VB.NET)

# See Also

####

IEdmSerNoGen7 Interface
IEdmSerNoGen7 Members

# Availability

SOLIDWORKS PDM Professional Version 6.4